<:
  use Time::Local;

  @month = ('dummy','Januar','Februar','Mrz','April','Mai','Juni','Juli','August','September','Oktober','November','Dezember');
  @day = ('Sonntag','Montag','Dienstag','Mittwoch','Donnerstag','Freitag','Samstag');

  # Monat - Jahr
  $layout_month = '<div style="padding-top: 10px;"></div>\
<table class="dates" width="100%%" border="0" cellpadding="0" cellspacing="0">\
<tr><th align="left" colspan="2" bgcolor="#80CCF8"><strong>&nbsp;%s %d</strong></th>\
<td align="left" bgcolor="#80CCF8">Ort</td>\
<td align="center" bgcolor="#80CCF8">Zeit</td>\
</tr>';
  # bgcol Tag (Tag) - Text - Ort - Zeit
  $layout_row = '\
<tr bgcolor=#%s>\
  <td align=left width=20%%>&nbsp;%d. (%s)</td>\
  <td align=left width=60%%>%s</td>\
  <td align=left width=15%%>%s</td>\
  <td align=right width=5%%>%s&nbsp;</td>\
</tr>';
  $layout_foot = '\
</table>';
  @layout_color = ('ffffff','eff0f1');
:>

<define-tag more_years>
<:

  my @y;
  my $max = (localtime(time - 30*24*60*60))[5]+1900;
  foreach my $year (2000..$max) {
    push (@y, sprintf ("<a href=\"%s.html\">%s</a>", $year, $year))
      if ($year ne "<get-var WML_SRC_BASENAME>");
  }	
  printf "<p>Vergangene Termine in %s</p>\n", join (", ", @y);
:>
</define-tag>

<define-tag build_tables>
<:
  $mon = 0;
  $year = (split (/-/, (split (/\|/, (sort (@termine))[0]))[0]))[0];
  $descr = "";
  $day = 0;
  $color = $layout_color[1];
  foreach $termin (sort (@termine)) {
    @termin = split (/\|/, $termin);
    @date = split (/-/, $termin[0]);

    if ($mon ne "$date[0]-$date[1]") {
      if ($mon != 0) {
        print $layout_foot;
	$descr = "";
	$day = 0;
	$color = $layout_color[1];
	print "<p><hr>" if ($year != $date[0]);
	$year = $date[0];
      }
      printf $layout_month, $month[$date[1]], $date[0];
      $mon = "$date[0]-$date[1]";
    }
    if ($termin[2] ne $descr || $date[2] != $day+1) {
      $color = $color eq $layout_color[0]?$layout_color[1]:$layout_color[0];
      $descr = $termin[2];
    }
    $day = $date[2];
    if ($termin[4]) {
      $text = sprintf ("<a href=\"%s\">%s</a>", $termin[4], $termin[2]);
    } else {
      $text = $termin[2];
    }
    $wday = (localtime(timelocal(0,0,0,$date[2],$date[1]-1, $date[0])))[6];

    printf $layout_row, $color, $date[2], $day[$wday], $text, $termin[3], $termin[1];
  }
  print $layout_foot;

:>
</define-tag>


# Local variables:
# mode: indented-text
# mode: auto-fill
# end:
